HMWKGraphInternal::BasicGraph Struct Reference

Internal: the geometrical graph of a HMWKGraph. More...

Inheritance diagram for HMWKGraphInternal::BasicGraph:

## Public Member Functions

| BasicGraph (Frame const &orig)
| constructor More...
| ~BasicGraph ()
| destructor More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HMWKGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
bool | getLineColor (MWAWColor &color) const
| returns the line colors More...
bool | getSurfaceColor (MWAWColor &color) const
| returns the surface colors More...

## Public Attributes

int | m_graphType
| the graphic type: line, rectangle, ... More...
int | m_arrowsFlag
| the lines arrow flag More...
Vec2f | m_extremity [2]
| the two extremities for a line More...
int | m_angles [2]
| the arc angles in degrees More...
float | m_cornerDim
| the rectOval corner dimension More...
std::vector< Vec2f > | m_listVertices
| the list of vertices for a polygon More...
Public Attributes inherited from HMWKGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
Vec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown More...
float | m_lineWidth
| the line width More...
MWAWColor | m_colors [2]
| the line/surface colors More...
float | m_patterns [2]
| the line/surface percent pattern More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends

std::ostream & | operator<< (std::ostream &o, BasicGraph const &graph)
| operator<< More...

## Detailed Description

Internal: the geometrical graph of a HMWKGraph.

## Constructor & Destructor Documentation

HMWKGraphInternal::BasicGraph::BasicGraph | ( | Frame const & | orig | ) |

inline

constructor

HMWKGraphInternal::BasicGraph::~BasicGraph | ( |  | ) |

inline

destructor

## Member Function Documentation

std::string HMWKGraphInternal::BasicGraph::print | ( |  | ) | const

inline

print local data

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | BasicGraph const & | graph
| ) |  |

friend

operator<<

## Member Data Documentation

int HMWKGraphInternal::BasicGraph::m_angles[2]

the arc angles in degrees

Referenced by BasicGraph(), print(), and HMWKGraph::sendBasicGraph().

int HMWKGraphInternal::BasicGraph::m_arrowsFlag

the lines arrow flag

Referenced by print(), and HMWKGraph::sendBasicGraph().

float HMWKGraphInternal::BasicGraph::m_cornerDim

the rectOval corner dimension

Referenced by print(), and HMWKGraph::sendBasicGraph().

Vec2f HMWKGraphInternal::BasicGraph::m_extremity[2]

the two extremities for a line

Referenced by BasicGraph(), print(), and HMWKGraph::sendBasicGraph().

int HMWKGraphInternal::BasicGraph::m_graphType

the graphic type: line, rectangle, ...

Referenced by print(), and HMWKGraph::sendBasicGraph().

std::vector<Vec2f> HMWKGraphInternal::BasicGraph::m_listVertices

the list of vertices for a polygon

Referenced by print(), and HMWKGraph::sendBasicGraph().

The documentation for this struct was generated from the following file:

- HMWKGraph.cxx